Datasource
List datasource templates
GET
/
templates
List datasource templates
curl --request GET \
--url https://api.reelevant.com/v2/datasources/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reelevant.com/v2/datasources/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reelevant.com/v2/datasources/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paginationCount": 123,
"paginationPage": 123,
"paginationLimit": 123,
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": [
{
"name": "<string>",
"hidden": true,
"icon": "<string>",
"slug": "<string>",
"categories": [
"<string>"
],
"template": {
"version": {
"type": {
"name": "analytics",
"subtype": "purchases",
"options": {
"autoExclusions": true,
"noStats": true
}
},
"fieldsMap": [
{
"name": "<string>",
"selected": true,
"primitive": "string",
"sortable": true,
"ignoreIfMissing": true,
"metadata": {
"locale": "de"
}
}
],
"aggregationPipeline": [
{
"name": "merge",
"params": {
"fieldNames": [
"<string>"
],
"datasourceId": "<string>",
"query": "{\n$and: [{\n$or: {\nfoo: {\n$eq: { type: 'static', value: 'bar' }\n}\n}\n}, {\n$or: {\nbar: {\n$eq: { type: 'path', value: '<field_map_name>' }\n}\n}\n}]\n}",
"exclusion": true
}
}
],
"refresh": {
"freq": 123
},
"detectMissingFields": true,
"updateOptions": {
"type": "override_previous_data",
"options": {}
},
"sources": [
{
"input": {
"source": {
"type": "url",
"options": {
"url": "<string>",
"format": {
"type": "csv",
"options": {
"csvDelimiter": "<string>"
}
},
"textEncoding": "<string>",
"options": {
"method": "GET",
"body": "<string>",
"headers": {},
"query": {},
"oauth": "<string>",
"timeout": 123,
"pagination": {
"type": "<unknown>",
"value": "<string>",
"startAt": 123,
"subtype": "<unknown>",
"maximumPage": 123
},
"variables": [
{
"name": "<string>",
"unique": true,
"required": true,
"enum": [
"<string>"
],
"default": "<string>",
"sortable": true,
"primitive": "string"
}
]
}
},
"preProcessingAggregations": [
{
"type": "unwind",
"options": {
"src": "<string>",
"dest": "<string>",
"allowEmpty": true
}
}
]
},
"filter": {
"$and": [
{
"$and": [
{}
]
}
]
},
"fieldsRules": {},
"sample": {}
}
}
]
},
"datasource": {
"fetcher": {
"params": {}
}
}
},
"steps": [
{
"name": "configure_name"
}
],
"errorsToStep": {},
"stepDependencies": {
"configure_name": [
"configure_name"
],
"configure_resource_group_ids": [
"configure_name"
],
"configure_sources": [
"configure_name"
],
"configure_fields": [
"configure_name"
],
"configure_field": [
"configure_name"
],
"create_oauth_client": [
"configure_name"
],
"authorize_oauth_client": [
"configure_name"
],
"configure_thresholds": [
"configure_name"
],
"configure_api_key": [
"configure_name"
],
"patch": [
"configure_name"
],
"configure_fetcher": [
"configure_name"
],
"validate": [
"configure_name"
],
"configure_google_tag_manager": [
"configure_name"
],
"configure_reelevant_analytics_script": [
"configure_name"
],
"configure_product_datasource_source": [
"configure_name"
],
"configure_tracking_datasource_source": [
"configure_name"
],
"configure_best_product_query": [
"configure_name"
],
"configure_best_product_field": [
"configure_name"
],
"configure_bought_together": [
"configure_name"
],
"configure_merge_mapping": [
"configure_name"
],
"configure_merge_datasource_source": [
"configure_name"
],
"configure_merge_datasource_dependency": [
"configure_name"
],
"configure_top_attributes": [
"configure_name"
],
"configure_destination": [
"configure_name"
],
"configure_hierarchy": [
"configure_name"
]
},
"standaloneSteps": [
"configure_name"
],
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"feature": "<string>"
}
],
"code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Example:
"foo,bar"
Required range:
x >= 1Required range:
x >= 1Response
200 - application/json
Ok
Was this page helpful?
⌘I
List datasource templates
